1

I had to flash my beaglebone black with Debian 8.1, but I'm having trouble running/installing a lot of node modules I need for interacting with the hardware. From what I can tell my problems are mostly due to lack of support for the Linux kernel 4.1.

Is there any way to downgrade my kernel to 3.8? Are there any publicly available Debian 8.1 images with the 3.8 kernel that will work on a Beaglebone black?

migrated from robotics.stackexchange.com Dec 7 '15 at 12:26

This question came from our site for professional robotic engineers, hobbyists, researchers and students.

1

The Beagleboard github currently hosts a 3.8 kernel branch, which I think should work for your board.

https://github.com/beagleboard/linux/tree/3.8

Debian Wheezy for the Bone Black with 3.8 kernel is available here.

http://s3.armhf.com/debian/wheezy/bone/debian-wheezy-7.2-armhf-3.8.13-bone30.img.xz

Also, this seems like a question more apt for Superuser.

  • The default user/password for that image is debian/debian in case anyone installs the image and can't figure out how to log in. – Ken Shirriff Jan 20 '17 at 7:10
  • I was pointed at an image with the 3.8.13-bone80 kernel that is similar if not identical to the Adafruit version (e.g. includes clpru compiler): debian.beagleboard.org/images/… – Ken Shirriff Jan 21 '17 at 1:41

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.